/************************************************************************/
/*      H8/300H Monitor Program (Advanced Mode)         Ver. 3.0A       */
/*              Copyright (C) 2003 Renesas Technology Corp.             */
/************************************************************************/
#include "3069s.h"                               /*                      */
#pragma global_register(monitor=ER5)            /* Return Address       */
void (*monitor)(void);                          /*                      */
/************************************************************************/
/*      User Initialize Module                                          */
/*              Input   ER5 <-- Return Address                          */
/*              Output  Nothing                                         */
/*              Used Stack Area --> 0(0) Byte                           */
/************************************************************************/
#pragma noregsave(INITIALIZE)                   /* Non Register Save    */
void INITIALIZE(void)                           /*                      */
{                                               /*                      */
  BSC.ABWCR.BYTE   = 0xff;	// CS0-CS7:8bitoX
  BSC.ASTCR.BYTE = 0xff;	// CS0-CS7:3Xe[gANZX
  BSC.BCR.BYTE   = 0xc6;	// 

  P1DDR=0xFF;		// Port1 use for BUS
  P2DDR=0x07;		// Port2 use for BUS
  P8DDR=0xEC;		// Port8(4-2) use for CS
  RTCOR=0x03;
  RTMCSR=0x27;
  DRCRB=0x98;
  DRCRA=0x78;
  monitor();                                    /* Goto Monitor Program */
}                                               /*                      */
